Skip to main content
GET
/
v1
/
config-objects
List config objects
curl --request GET \
  --url https://api.openworklabs.com/v1/config-objects
import requests

url = "https://api.openworklabs.com/v1/config-objects"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.openworklabs.com/v1/config-objects', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "organizationId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "searchText": "<string>",
      "currentFileName": "<string>",
      "currentFileExtension": "<string>",
      "currentRelativePath": "<string>",
      "createdByOrgMembershipId": "<string>",
      "connectorInstanceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "latestVersion": {
        "id": "<string>",
        "configObjectId": "<string>",
        "schemaVersion": "<string>",
        "normalizedPayloadJson": {},
        "rawSourceText": "<string>",
        "createdByOrgMembershipId": "<string>",
        "connectorSyncEventId": "<string>",
        "sourceRevisionRef": "<string>",
        "isDeletedVersion": true,
        "createdAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "nextCursor": "<string>"
}
{
  "error": "<string>",
  "details": [
    {
      "message": "<string>",
      "path": [
        "<string>"
      ]
    }
  ]
}
{
  "error": "<string>"
}

Query Parameters

cursor
string
Required string length: 1 - 255
limit
integer
Required range: 1 <= x <= 100
type
enum<string>
Available options:
skill,
agent,
command,
tool,
mcp,
hook,
context,
custom
status
enum<string>
Available options:
active,
inactive,
deleted,
archived,
ingestion_error
sourceMode
enum<string>
Available options:
cloud,
import,
connector
pluginId
string<typeid>

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*
connectorInstanceId
string<typeid>

Den TypeID with 'cin_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cin_.*
includeDeleted
enum<string>
Available options:
true,
false
q
string
Required string length: 1 - 255

Response

Config objects returned successfully.

items
object[]
required
nextCursor
string | null
required
Required string length: 1 - 255